
***
*** Version 1.4.9 ***
***

Kim Woelders (1):
      1.4.9 (no changes since 1.4.8).


***
*** Version 1.4.8 ***
***

Kim Woelders (2):
      Autofoo cleanups.
      1.4.8 (no significant changes since 1.4.7).


***
*** Version 1.4.7 ***
***

Kim Woelders (5):
      1.4.6.
      Update autofoo (run autoupdate).
      Don't install .a files.
      Generate a ChangeLog using git shortlog between existing tags.
      1.4.7.


***
*** Version 1.4.6 ***
***

Cedric BAIL (2):
      autotools: move to AC_CONFIG_HEADERS.
      trunk: remove use of AM_PROG_CC_STDC as AC_PROG_CC does it.

Kim Woelders (3):
      Change INCLUDES to AM_CPPFLAGS.
      Edb is dead.
      1.4.6.


***
*** Version 1.4.5 ***
***

Carsten Haitzler (1):
      no more debian dir in our svn - debian now handles this tehmselves.

Kim Woelders (1):
      1.4.5 (no significant changes since 1.4.4).

Lucas De Marchi (1):
      Convert (hopefully) all comparisons to NULL


***
*** Version 1.4.4 ***
***

Kim Woelders (1):
      1.4.4 (no change since 1.4.3).


***
*** Version 1.4.3 ***
***

Carsten Haitzler (1):
      fix the copying license to

Daniel Kolesa (11):
      Removed debian things like rasterman did in some others from Makefile.am and configure.ac/in(and modifed AUTHORS, autogen.sh and README in E-MODULES-EXTRA) in
      Removed debian subfolders - prepared for a new set of debian subdirs.
      Added new set of debian subdirs.
      prepare debian rules files for new chmod permissions.
      Added debian/rules files with a new permissions set(755).
      Updated debian stuff everywhere.
      forgot to add --prefix=/usr
      i found it is useless and cdbs is setting up prefix automatically.
      Updated debian stuff(grew Standards-Version, updated python-ecore rules file)
      Updated Standards-Version
      Fixed debian stuff everywhere.

Kim Woelders (4):
      Set AUTOMAKE_OPTIONS = foreign.
      Remove .cvsignores.
      Add .gitignore.
      1.4.3.


***
*** Version 1.4.2 ***
***

Carsten Haitzler (1):
      asparagus!

Michael Jennings (1):
      Tue Oct 21 21:27:44 2008                        Michael Jennings (mej)

Peter Wehrfritz (1):
      configure.in -> configure.ac


***
*** Version 1.4.1 ***
***

Carsten Haitzler (4):
      ASPARAGUS!
      1. fix a lot of things so they pass make distcheck - so many things have     broken. guys - need to be more careful!     2. asparagus     3. some extra docs/comments for evas
      asparagus!
      asparagus! also pass distcheck and have common autofoo init that is     consistent for package, version etc.

Christopher Michael (1):
      Patch from Jerome Pinot to fix EDB detection. Makes use of pkg_check_modules     now.

Michael Jennings (1):
      Mon Jun  9 22:46:52 2008                        Michael Jennings (mej)


***
*** Version 1.4.0 ***
***

Carsten Haitzler (2):
      asparagus - pass distcheck.
      up to 1.4.0 (and add a release 000)

Sebastian Dransfeld (2):
      No longer needed.
      Remove unused files.

Stafford Mitchell Horne (1):
      pkg-config updates for imlib2_loaders (eet)


***
*** Version 1.3.0 ***
***

Carsten Haitzler (3):
      cvs is back up.. time for some asparagus!
      1. autofoot patches.     2. fix maximize to work again. :)
      ASPARA!

Falko Schmidt (1):
      Fix some dependency issues regarding xlibs-dev.

Horms (2):
      Save and restore autogenerated changelog when debian/rule's clean     target runs. Otherwise the following breaks because make distclean     removes autogenerated files, but debian/rules expects the changelog     to always be there:
      Prefer automake1.7


***
*** Version 1.2.2 ***
***

Carsten Haitzler (11):
      it's been a while, so it was time for some ASPARAGUS on our plates
      apps/e/enlightenment.spec CVS: apps/entice/configure.in     apps/entrance/configure.in CVS: libs/ecore/configure.in libs/edb/configure.in     libs/embryo/configure.in CVS: libs/emotion/configure.in     libs/epeg/configure.in CVS: libs/epsilon/configure.in     libs/esmart/configure.in CVS: libs/etox/configure.in libs/evas/configure.in     libs/imlib2_loaders/configure.in CVS:     ----------------------------------------------------------------------     ���������     :)
      2nd asapargus for the weekend :)
      a bit of asparagus action for shits & giggles
      asparagus!
      after some quiet on the western front - asparagus.
      asparagus. and make distcheck passes again.
      asparagus - again. lots fo leak fixes and other fixes have been happening, so     i think an asparagus is a good idea - sorry package config people. :)
      big fat asparagus!
      asparagus!!!
      1.2.2 of imlib2 - for kwo :)

Emfox Zhou (1):
      fix wrong file including of Makefile.am

Michael Jennings (1):
      Thu Sep  8 17:12:14 2005                        Michael Jennings (mej)

Mike Frysinger (5):
      whitespace tweaks
      make edb/eet detection smarter and tweak output
      you are not supposed to be here
      add error checking to all autogen scripts
      touchup help output

Sebastian Dransfeld (2):
      Silence
      If the version from config has something after x.y.z, drop it.


***
*** Version 1.2.1 (from dawn of time) ***
***

Andrew Shugg (1):
      Escape those carriage returns at the end of the configure script.

Azundris (3):
      XCF-loader would spew hundreds of identical complaints on unsupported     formats, delaying the calling application by up to a minute.
      * assorted fixes for RPM-building
      * place loaders in "loaders" rather than "imlib2_loaders" (same as the others)

Carsten Haitzler (35):
      missing include
      before.................
      use the real_file member :)
      mark's patches
      add zlib link...
      offline work...
      eet loader added.
      fix thanks to oze.
      make dist!
      actually it does look in imlib2_loaders now...
      imlib2_loaders.. check imlib2 - it moved :)
      no stamps!
      dont suck in libtldl anyway
      back to imlib2_loaders
      autofool cleanups... argh! i hate autofools!
      up to 1.1.2 to match imlib2
      remove...
      and new loaders tree
      ldflags bye bye
      fix install
      clean configure.in
      no no no. breaks cross-compiling :)
      url...
      change versions. some went DOWN - because they arent releases and i'm trying     to remove the _pre ascii from the version. i added a .001 (a release number)     so we can automatically or easiyl generate releases... sorry guys. but it's     kind of "for the good of the code". :)
      1. e17's init icons get put into an e_box for arrangement nad the init splash     determines the location...
      imlib2_loaders fixup
      auto-package
      touch
      asparagus time for some of the core efl bits...
      asparagus!
      make e17 pass make distcheck....     and...     ASPARAGUS time...       http://enlightenment.freedesktop.org     for tarballs
      asparagus!
      full asparagus
      asparagus...     make e17 distcheck.
      aspara!

Chris Ross (2):
      Build on OSX god damn it! ;)
      Look for includes in the $(prefix)/include directory

Christian Kreibich (21):
      *turns red* ... *turns blue* ... *releases breath*. Damn.     I guess this is better. Sorry.
      Finally adding layer blending modes Multiply, Divide, Screen, Overlay,     Difference, Addition, Subtraction, Darken, Lighten.
      Throwing out stuff I don't need ...
      Hue, Saturation, Value and Color blending modes. Only Dissolve still     needed :)
      Dissolve mode. This is the only layer blending mode which is not     deterministic, so the image will look slightly different from how it     looks in Gimp (I've not copied their random number code). However I     always use the same seed so the image will look the same with any     Imlib2 code.
      Okay. Raster, trash.xcf should work now. Also fixed Divide     mode. It seems I missed the alpha level cases. I'll need to     check how the other modes perform when alpha levels are     involved.
      I'm commenting out the part that checks whether we want to load only     a single layer of the XCF, as it seems to collide with loading images     from a db and is not used anyway.
      I thought I had committed this?
      The cool thing about meetings is that they can get postponed, in     which case one has time to improve XCF loaders :)
      Nope. Debugging was for me only.
      Forgot printf ...
      Oooh no. Images with floating selections didn't work. Fixed.     I'd like to put together a release of this soonish. If anyone     is seeing any bugs in the XCF loader, please send email NOW.
      Cleanups and a *BIG FAT* GPL so that all the Gimpies are happy.
      Initial spec file.
      Did I not commit these?
      Doh.
      I haven't followed the recent imlib2_loaders changes closely, but it     seems someone forgot to update configure.ac?
      Lots of sssshhh here ...
      Add this to HEAD too ...
      Sync to HEAD. This syncing is really annoying, especially because     I don't see the point for anything except essence and e17.
      Bah.

Horms (1):
      Debian packages may now be built from output of make dist and friends

Kevin Brosius (1):
      Minor README update - edb is used by imlib2_loaders.

Laurence J. Lane (4):
      more assimilation
      changelog madness
      various stuff
      debhelper 3.0 changeover

Mandrake (3):
      these have no business being here.     removed.
      hush CVS
      hush cvs

Mark Bainter (5):
      Moved imlib2_loaders.spec to imlib2_loaders.spec.in     Changed Makefile.am, and configure.in to support this change     Changed the specfile to reflect the proper ftp address     Changed the specfile to reflect the proper file path     Made the rpm relocateable
      Makefile.am:     imlib2_loaders.spec.in:     - Changed Aug 21 in Tom's change to the 12th, since I don't       think there's a 9 day difference between the uk and the US. ;-)     - Corrected web URL, it now points to the new pages/imlib2 web page.     - Changed Copyright to mixed, since not all items in this package will       be BSD Licensed.  If we'd prefer to just list all the licenses I can       do that too, just let me know.
      Ok, this is more major change than the others, but I think I've     tested configuring/compiling it in just about every way possible.
      Changed the --with-imlib2 and --with-edb options to be     --with-imlib2-config and --with-edb-config instead.
      Ok, I got a chance to sit down with this again this afternoon and got     it working.  (Thanks cpk for the pointer to AC_PATH_GENERIC, it was     a big help on getting the m4 vars to expand right.)  I have configure     for this package working with it, but I hesitate to commit it till     you guys have a chance to see the macro and poke holes in it, provide     suggestions, etc.

Michael Jennings (9):
      Thu Mar 14 19:18:07 2002                        Michael Jennings (mej)
      Wed May 29 09:41:14 2002                        Michael Jennings (mej)
      Tue Jul  6 18:16:03 2004                        Michael Jennings (mej)
      Tue Jul 27 18:29:34 2004                        Michael Jennings (mej)
      Wed Jan  5 00:03:30 2005                        Michael Jennings (mej)
      Wed Jan 12 16:00:28 2005                        Michael Jennings (mej)
      Fri Jan 14 16:18:19 2005                        Michael Jennings (mej)
      Fri Jan 21 01:03:13 2005                        Michael Jennings (mej)
      Thu Feb  3 18:33:51 2005                        Michael Jennings (mej)

Mike Frysinger (2):
      allow for setting of env var to prevent running ./configure like the older autogen scripts allowed
      remove AC_CANONICAL_TARGET since it isnt used/needed

Nathan Ingersoll (7):
      After much hair pulling, fixed a bug in the db loader that affected big endian     systems.
      Fix an unresolved symbol (cK is this fix what you intended?). Feh segv's trying     to load a .ani file on big endian systems, I'll see if I can track it down.
      Catch a couple of places where segv's were occurring. Now imlib2 just sees the     loader failing to load the image. One of the problems is calloc failing and     returning NULL (possibly chunk_size is extremely large from an incorrect     reading of the size from the file).
      D'oh. put that check in the wrong place.
      The loaders now work on big endian systems. Someone please test this on x86     and let me know that I didn't break anything.
      Endianess bug fix. Layer visibility was marked as 0 for all layers on big     endian systems. This increases the memory used by 3 bytes/layer, but it's     the simplest fix for this case (and it prevents the overwriting of other fields     which was probably happening but not visible because of the order the fields     were loaded).
      glibtoolize

Sytse Wielinga (9):
      Debian copyright file fix in HEAD replacing Author(s) by Author or Authors.
      Updated version number in debian package, added package description. Removed a     postinst containing a useless ldconfig.
      Big overhaul of a lot of the debian packages
      Updated most of the debian packaging. Everything I have missed is out of date,     not important or not working.
      Fixed a couple of debs in e17/libs, added and updated a couple of .cvsignores.
      Updated imlib2_loaders debian packaging
      Slight update for the debian packaging of imlib2, imlib2_loaders, ecore, edje;     more to come later.
      Things may change sometimes. Let debian cope with it.
      A lot of moving around in imlib2{,loaders} caused lots of unignored files

Till Adam (2):
      the xcf loader was crashing when used from the directfb imlib2 loader     because its internal clip function was name clashing with the dfb one.     I renamed it to _clip which fixes the segfaults. cK, would you prefer to     do this differently?
      fixes by Michi Thalmann <th@lmann.ch>

Tilman Sauerbeck (3):
      removed empty save() in some loaders
      cleaned up autotools files
      imlib2 looks for loaders in loaders/, not imlib2_loaders/

Tom Gilbert (1):
      Okay. The db loader is going in here, as per cK's suggestion.

